lkml.org 
[lkml]   [2022]   [Jan]   [26]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: [PATCH] dt-bindings: hwmon: gpio-fan: convert to YAML
Date
On Wed, 26 Jan 2022 20:03:50 +0000, Corentin Labbe wrote:
> Converts hwmon/gpio-fan.txt to YAML
>
> Signed-off-by: Corentin Labbe <clabbe@baylibre.com>
> ---
>
> I didnt found any clear maintainer and since DT yaml mandates a
> maintainer section, I set devicetree@vger.kernel.org.
>
> .../devicetree/bindings/hwmon/gpio-fan.txt | 41 --------
> .../devicetree/bindings/hwmon/gpio-fan.yaml | 96 +++++++++++++++++++
> 2 files changed, 96 insertions(+), 41 deletions(-)
> delete mode 100644 Documentation/devicetree/bindings/hwmon/gpio-fan.txt
> create mode 100644 Documentation/devicetree/bindings/hwmon/gpio-fan.yaml
>

My bot found errors running 'make DT_CHECKER_FLAGS=-m dt_binding_check'
on your patch (DT_CHECKER_FLAGS is new in v5.13):

yamllint warnings/errors:

dtschema/dtc warnings/errors:
Documentation/devicetree/bindings/hwmon/gpio-fan.example.dt.yaml:0:0: /example-0/gpio@4d000000: failed to match any schema with compatible: ['cortina,gemini-gpio', 'faraday,ftgpio010']
Documentation/devicetree/bindings/hwmon/gpio-fan.example.dt.yaml:0:0: /example-0/gpio@4d000000: failed to match any schema with compatible: ['cortina,gemini-gpio', 'faraday,ftgpio010']
Documentation/devicetree/bindings/hwmon/gpio-fan.example.dt.yaml:0:0: /example-1/gpio@4d000000: failed to match any schema with compatible: ['cortina,gemini-gpio', 'faraday,ftgpio010']
Documentation/devicetree/bindings/hwmon/gpio-fan.example.dt.yaml:0:0: /example-1/gpio@4d000000: failed to match any schema with compatible: ['cortina,gemini-gpio', 'faraday,ftgpio010']

doc reference errors (make refcheckdocs):

See https://patchwork.ozlabs.org/patch/1584654

This check can fail if there are any dependencies. The base for a patch
series is generally the most recent rc1.

If you already ran 'make dt_binding_check' and didn't see the above
error(s), then make sure 'yamllint' is installed and dt-schema is up to
date:

pip3 install dtschema --upgrade

Please check and re-submit.

\
 
 \ /
  Last update: 2022-01-26 23:12    [W:0.054 / U:0.220 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site